#ifndef _ViewCell_H__
#define _ViewCell_H__

class Mesh;

//namespace GtpVisibilityPreprocessor {
  
class BSPInterior;
class BspPvs;
/**
	View cell represented as a mesh
*/
class ViewCell
{
public:
	/** Default constructor taking a mesh which represents the shape of
		the viewcell.
	*/
	ViewCell(Mesh *mesh): mMesh(mesh), mPvs(NULL) {}

	/** Returns pointer to the mesh which represents the shape of the viewcell.
	*/
	Mesh *GetMesh() {return mMesh;}

	/** Returns pointer to PVS. 
		@returns PVS, i.e., the visible BSP tree nodes.
	*/
	BspPvs *GetPVS() {return mPvs;}

protected:

	Mesh *mMesh;
	/// the PVS (i.e., the visible bsp tree nodes)
	BspPvs *mPvs;

};
  
//}; // GtpVisibilityPreprocessor

#endif
